Package Details: clutter-git 1.26.2.r81.g3e3901c0a-1

Git Clone URL: https://aur.archlinux.org/clutter-git.git (read-only)
Package Base: clutter-git
Description: A toolkit for creating fast, portable, compelling dynamic UIs
Upstream URL: http://clutter-project.org/
Licenses: LGPL
Conflicts: clutter
Provides: clutter=1.26.2.r81.g3e3901c0a
Submitter: None
Maintainer: efernandes
Last Packager: efernandes
Votes: 22
Popularity: 0.000000
First Submitted: 2009-01-24 08:59
Last Updated: 2018-12-10 16:25

Required by (18)

Sources (1)

Latest Comments

« First ‹ Previous 1 2

Anonymous comment on 2010-10-25 00:49

gobject-introspection-git needed too, it won't build with gobject-introspection 0.9.10

lubosz commented on 2010-10-07 17:15

json-glib needs to be installed as a dependency.

lubosz commented on 2010-10-07 17:07

After a visit in the IRC channel, the build has been fixed upstream to work with libtool 2.4 :)
Unflaging as out of date.

lubosz commented on 2010-10-07 14:13

The build complains about missing libtool >= 2.2
I have libtool 2.4 from core installed.

simon04 commented on 2010-09-30 09:32

> configure: error: Package requirements (cairo >= 1.8 atk >= 1.7 pangocairo >= 1.20 json-glib-1.0 >= 0.12 gdk-pixbuf-2.0 gl libdrm x11 xext xfixes xdamage xcomposite) were not met:
> No package 'json-glib-1.0' found

Det commented on 2010-09-04 18:25

Flagging until at least the makedependencies line fixed.

Anonymous comment on 2010-06-20 07:52

Also, git should be added to makedepends

Anonymous comment on 2010-06-19 16:09

Adding
makedepends=('gtk-doc')
to the PKGBUILD seems to fix it.

Now it compiles fine, but fails linking with the error:
...
CC test_interactive-test-devices.o
CCLD test-interactive
../../clutter/.libs/libclutter-glx-1.0.so: undefined reference to `JSON_NODE_HOLDS_ARRAY'
collect2: ld returned 1 exit status
make[3]: *** [test-interactive] Fejl 1

Anonymous comment on 2010-06-19 15:39

...
checking for CLUTTER_DEPS... yes
checking for gobject-introspection... no
./configure: line 13526: syntax error near unexpected token `1.13,'
./configure: line 13526: `GTK_DOC_CHECK(1.13, --flavour no-tmpl)'
==> ERROR: Build Failed.
Aborting...
==> ERROR: Makepkg was unable to build clutter-git.

The source doesn't compile atm. Is there a working package somewhere?

Anonymous comment on 2010-03-27 19:34

Initialized empty Git repository in /var/abs/local/yaourtbuild/clutter-git/src/clutter/.git/
fatal: The remote end hung up unexpectedly